PC SOFT

WINDEVWEBDEV AND WINDEV MOBILE
ONLINE HELP

Home | Sign in | English UK
  • Limitation
  • Required configuration
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReports and QueriesUser code (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Browser code
WINDEV Mobile
AndroidAndroid Widget iPhone/iPadApple WatchUniversal Windows 10 AppWindows Mobile
Others
Stored procedures
Selects the TAPI device that will be used during the following telephony operations:
Example
// Retrieves the list of TAPI devices
sTAPIList is string = tapiDeviceList()
 
// Displays the list in a Combo Box control
ListAdd(COMBO_TAPI, sTAPIList)
...
// Selects the TAPI device chosen in the Combo Box control
tapiDevice(COMBO_TAPI[COMBO_TAPI])
Syntax
<Result> = tapiDevice(<Device name>)
<Result>: Boolean
  • True if the device was selected. The selected device will be used for all the other telephony operations.
  • False if an error occurred.
<Device name>: Character string (with quotes)
Name of the device to use. The list of telephony devices is returned by tapiDeviceList.
Remarks

Limitation

tapiDevice cannot be called in the procedure for call detection (defined by tapiListen).
WINDEVUser code (UMC)

Required configuration

The telephony functions are using the TAPI 2.0 technology. This technology can be used on all the systems.
However, if the system used is Windows NT4, the service pack 4 (or later) must be installed.
Note: The TAPI 3.0 technology (and later) is not supported in this version.
Telephony functions use TAPI 2.0 technology and/or TAPI 3.1 technology. These technologies can be used on all systems.
Versions 24 and later
TAPI 3.1 technology is now supported.
New in version 24
TAPI 3.1 technology is now supported.
TAPI 3.1 technology is now supported.
Component : wd250com.dll
Minimum version required
  • Version 9
This page is also available for…
Comments
Click [Add] to post a comment